Type Alias: GatewayInferenceCreateCompletionRequest
type GatewayInferenceCreateCompletionRequest = {
[key: string]: unknown;
model: string | "gpt-3.5-turbo-instruct" | "davinci-002" | "babbage-002";
prompt: string | string[] | number[] | number[][] | null;
best_of?: number | null;
echo?: boolean | null;
frequency_penalty?: number | null;
logit_bias?: | {
[key: string]: unknown;
}
| null;
logprobs?: number | null;
max_tokens?: number | null;
n?: number | null;
presence_penalty?: number | null;
seed?: number | null;
stop?: string | null | string[] | null;
stream?: boolean | null;
stream_options?: GatewayInferenceChatCompletionStreamOptions;
suffix?: string | null;
temperature?: number | null;
top_p?: number | null;
user?: string;
};
Defined in: src/models/ai-gateway-inference.ts:1979
Portkey CreateCompletionRequest; additive response fields are preserved.
Example
`GatewayInferenceCreateCompletionRequestSchema.parse(value);`
Indexable
[key: string]: unknown
Properties
model
model: string | "gpt-3.5-turbo-instruct" | "davinci-002" | "babbage-002";
Defined in: src/models/ai-gateway-inference.ts:1980
prompt
prompt: string | string[] | number[] | number[][] | null;
Defined in: src/models/ai-gateway-inference.ts:1981
best_of?
optional best_of?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1982
echo?
optional echo?: boolean | null;
Defined in: src/models/ai-gateway-inference.ts:1983
frequency_penalty?
optional frequency_penalty?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1984
logit_bias?
optional logit_bias?:
| {
[key: string]: unknown;
}
| null;
Defined in: src/models/ai-gateway-inference.ts:1985
logprobs?
optional logprobs?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1986
max_tokens?
optional max_tokens?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1987
n?
optional n?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1988
presence_penalty?
optional presence_penalty?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1989
seed?
optional seed?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1990
stop?
optional stop?: string | null | string[] | null;
Defined in: src/models/ai-gateway-inference.ts:1991
stream?
optional stream?: boolean | null;
Defined in: src/models/ai-gateway-inference.ts:1992
stream_options?
optional stream_options?: GatewayInferenceChatCompletionStreamOptions;
Defined in: src/models/ai-gateway-inference.ts:1993
suffix?
optional suffix?: string | null;
Defined in: src/models/ai-gateway-inference.ts:1994
temperature?
optional temperature?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1995
top_p?
optional top_p?: number | null;
Defined in: src/models/ai-gateway-inference.ts:1996
user?
optional user?: string;
Defined in: src/models/ai-gateway-inference.ts:1997